## tesseract 4.00~git2439

=== CMakeLists.txt ===
#
# tesseract
#

###############################################################################
#
# cmake settings
#
###############################################################################

cmake_minimum_required(VERSION 2.8.11)

# In-source builds are disabled.
if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR
        "CMake generation is not possible within the source directory!"
        "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
        "\n "
        "\n rm CMakeCache.txt"
        "\n mkdir build"
        "\n cd build"
        "\n cmake .."
    )
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

###############################################################################
#
# project settings
#
###############################################################################

project(tesseract C CXX)

# Get version with components from VERSION file.
file(STRINGS "VERSION" VERSION_PLAIN)
string(REGEX REPLACE "^([^.]*)\\..*" "\\1" VERSION_MAJOR ${VERSION_PLAIN})
string(REGEX REPLACE "^[^.]*\\.([^.]*)\\..*" "\\1" VERSION_MINOR ${VERSION_PLAIN})
string(REGEX REPLACE "^[^.]*\\.[^.]*\\.([0-9]*).*" "\\1" VERSION_PATCH ${VERSION_PLAIN})

# Provide also same macro names as autoconf (see configure.ac).
set(GENERIC_MAJOR_VERSION ${VERSION_MAJOR})
set(GENERIC_MINOR_VERSION ${VERSION_MINOR})
set(GENERIC_MICRO_VERSION ${VERSION_PATCH})

set(MINIMUM_LEPTONICA_VERSION 1.74)

###############################################################################
#
# compiler and linker
#
###############################################################################

set(LIBRARY_TYPE SHARED)
if (STATIC)
    set(LIBRARY_TYPE)
endif()

if (WIN32)
    if (MSVC)
        add_definitions(-D_CRT_SECURE_NO_WARNINGS)

        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP /openmp /utf-8")
    endif()

    set(LIB_Ws2_32 Ws2_32)
endif()

if (CYGWIN)
    add_definitions(-D__CYGWIN__)
endif()

if (UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11")

    set(LIB_pthread pthread)
endif()

###############################################################################
#
# packages
#
###############################################################################

if(NOT EXISTS ${PROJECT_SOURCE_DIR}/.cppan)
    if (NOT Leptonica_DIR AND NOT MSVC)
        find_package(PkgConfig REQUIRED)
        pkg_check_modules(Leptonica REQUIRED lept>=${MINIMUM_LEPTONICA_VERSION})
        link_directories(${Leptonica_LIBRARY_DIRS})
    else()
        find_package(Leptonica ${MINIMUM_LEPTONICA_VERSION} REQUIRED CONFIG)
    endif()
else()
    if (STATIC)
        set(CPPAN_BUILD_SHARED_LIBS 0)
    else()
        set(CPPAN_BUILD_SHARED_LIBS 1)
    endif()
    add_subdirectory(.cppan)
endif()

find_package(OpenCL QUIET)

option(BUILD_TRAINING_TOOLS "Build training tools" ON)
option(BUILD_TESTS "Build tests" ON)

###############################################################################
#
# configure
#
###############################################################################

set(AUTOCONFIG_SRC ${CMAKE_BINARY_DIR}/config_auto.h.in)
set(AUTOCONFIG ${CMAKE_BINARY_DIR}/config_auto.h)

include(Configure)

configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)

set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/tesseract")

configure_file(
    ${CMAKE_SOURCE_DIR}/src/api/tess_version.h.in
    ${CMAKE_BINARY_DIR}/api/tess_version.h @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/src/vs2010/tesseract/tesseract.rc.in
    ${CMAKE_BINARY_DIR}/vs2010/tesseract/tesseract.rc @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/src/vs2010/tesseract/libtesseract.rc.in
    ${CMAKE_BINARY_DIR}/vs2010/tesseract/libtesseract.rc @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/TesseractConfig-version.cmake.in
    ${CMAKE_BINARY_DIR}/TesseractConfig-version.cmake @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/TesseractConfig.cmake.in
    ${CMAKE_BINARY_DIR}/TesseractConfig.cmake @ONLY)

###############################################################################
#
# build
#
###############################################################################

include(BuildFunctions)
include(SourceGroups)

add_definitions(-DHAVE_CONFIG_H)
add_definitions(-D_SILENCE_STDEXT_HASH_DEPRECATION_WARNINGS=1)
add_definitions(-DWINDLLNAME="libtesseract${VERSION_MAJOR}${VERSION_MINOR}.dll")

include_directories(${Leptonica_INCLUDE_DIRS})

include_directories(${CMAKE_BINARY_DIR})

include_directories(src/api)
include_directories(${CMAKE_BINARY_DIR}/api)
include_directories(src/arch)
include_directories(src/ccmain)
include_directories(src/ccstruct)
include_directories(src/ccutil)
include_directories(src/classify)
include_directories(src/cutil)
include_directories(src/dict)
include_directories(src/lstm)
include_directories(src/opencl)
include_directories(src/textord)
include_directories(src/vs2010/port)
include_directories(src/viewer)
include_directories(src/wordrec)

########################################
# LIBRARY tesseract
########################################

file(GLOB tesseract_src
    src/arch/*.cpp
    src/ccmain/*.cpp
    src/ccstruct/*.cpp
    src/ccutil/*.cpp
    src/classify/*.cpp
    src/cutil/*.cpp
    src/dict/*.cpp
    src/lstm/*.cpp
    src/opencl/*.cpp
    src/textord/*.cpp
    src/viewer/*.cpp
    src/wordrec/*.cpp
)
file(GLOB tesseract_hdr
    src/api/*.h
    src/arch/*.h
    src/ccmain/*.h
    src/ccstruct/*.h
    src/ccutil/*.h
    src/classify/*.h
    src/cutil/*.h
    src/dict/*.h
    src/lstm/*.h
    src/opencl/*.h
    src/textord/*.h
    src/viewer/*.h
    src/wordrec/*.h
)
if (WIN32)
    file(GLOB tesseract_win32_src "src/vs2010/port/*.cpp")
    file(GLOB tesseract_win32_hdr "src/vs2010/port/*.h")
    set(tesseract_src ${tesseract_src} ${tesseract_win32_src})
    set(tesseract_hdr ${tesseract_hdr} ${tesseract_win32_hdr})
endif()

set(tesseract_src ${tesseract_src}
    src/api/baseapi.cpp
    src/api/capi.cpp
    src/api/renderer.cpp
    src/api/pdfrenderer.cpp
)

if (WIN32)
    if (MSVC)
        include_directories(src/vs2010/tesseract)
        set(tesseract_hdr
            ${tesseract_hdr}
            ${CMAKE_CURRENT_SOURCE_DIR}/src/vs2010/tesseract/resource.h)
        set(tesseract_rsc ${CMAKE_BINARY_DIR}/vs2010/tesseract/libtesseract.rc)
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/dotproductsse.cpp
            PROPERTIES COMPILE_DEFINITIONS __SSE4_1__)
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/intsimdmatrixsse.cpp
            PROPERTIES COMPILE_DEFINITIONS __SSE4_1__)
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/dotproductavx.cpp
            PROPERTIES COMPILE_FLAGS "/arch:AVX")
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/intsimdmatrixavx2.cpp
            PROPERTIES COMPILE_FLAGS "/arch:AVX2")
    endif()
else()
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/dotproductsse.cpp
            PROPERTIES COMPILE_FLAGS "-msse4.1")
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/intsimdmatrixsse.cpp
            PROPERTIES COMPILE_FLAGS "-msse4.1")
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/dotproductavx.cpp
            PROPERTIES COMPILE_FLAGS "-mavx")
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/src/arch/intsimdmatrixavx2.cpp
            PROPERTIES COMPILE_FLAGS "-mavx2")
endif()

add_library                     (libtesseract ${LIBRARY_TYPE} ${tesseract_src} ${tesseract_hdr}
    ${tesseract_rsc}
    )
if (NOT STATIC)
target_compile_definitions      (libtesseract
    PRIVATE -DTESS_EXPORTS
    INTERFACE -DTESS_IMPORTS
)
set_target_properties           (libtesseract PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS True)
endif()
target_link_libraries           (libtesseract ${LIB_Ws2_32} ${LIB_pthread})
set_target_properties           (libtesseract PROPERTIES VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
set_target_properties           (libtesseract PROPERTIES SOVERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
if (WIN32)
set_target_properties           (libtesseract PROPERTIES OUTPUT_NAME tesseract${VERSION_MAJOR}${VERSION_MINOR})
set_target_properties           (libtesseract PROPERTIES DEBUG_OUTPUT_NAME tesseract${VERSION_MAJOR}${VERSION_MINOR}d)
else()
set_target_properties           (libtesseract PROPERTIES OUTPUT_NAME tesseract)
endif()

if (NOT CPPAN_BUILD)
    target_link_libraries       (libtesseract ${Leptonica_LIBRARIES})
    export(TARGETS libtesseract FILE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake)
else()
    target_link_libraries       (libtesseract pvt.cppan.demo.danbloomberg.leptonica)
    file(WRITE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")
    export(TARGETS libtesseract APPEND FILE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake)
endif()

########################################
# EXECUTABLE tesseractmain
########################################

set(tesseractmain_src src/api/tesseractmain.cpp)
if (MSVC)
    set(tesseractmain_rsc ${CMAKE_BINARY_DIR}/vs2010/tesseract/tesseract.rc)
endif()

add_executable                  (tesseract ${tesseractmain_src} ${tesseractmain_rsc})
target_link_libraries           (tesseract libtesseract)

########################################

if (BUILD_TESTS AND EXISTS ${PROJECT_SOURCE_DIR}/googletest/CMakeLists.txt)
    add_subdirectory(googletest)
    add_executable(tesseract_tests tests/tesseracttests.cpp)
    target_link_libraries(tesseract_tests gtest_main)
endif()

if (BUILD_TRAINING_TOOLS)
add_subdirectory(src/training)
endif()

get_target_property(tesseract_NAME libtesseract NAME)
get_target_property(tesseract_VERSION libtesseract VERSION)
get_target_property(tesseract_OUTPUT_NAME libtesseract OUTPUT_NAME)
configure_file(tesseract.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/tesseract.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tesseract.pc DESTINATION lib/pkgconfig)
install(TARGETS tesseract RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(TARGETS libtesseract EXPORT TesseractTargets RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(EXPORT TesseractTargets DESTINATION cmake)
install(FILES
    ${CMAKE_BINARY_DIR}/TesseractConfig.cmake
    ${CMAKE_BINARY_DIR}/TesseractConfig-version.cmake
    DESTINATION cmake)

install(FILES
    # from api/makefile.am
    src/api/apitypes.h
    src/api/baseapi.h
    src/api/capi.h
    src/api/renderer.h
    ${CMAKE_CURRENT_BINARY_DIR}/api/tess_version.h

    #from arch/makefile.am
    src/arch/dotproductavx.h
    src/arch/dotproductsse.h
    src/arch/intsimdmatrix.h
    src/arch/intsimdmatrixavx2.h
    src/arch/intsimdmatrixsse.h
    src/arch/simddetect.h

    #from ccmain/makefile.am
    src/ccmain/thresholder.h
    src/ccmain/ltrresultiterator.h
    src/ccmain/pageiterator.h
    src/ccmain/resultiterator.h
    src/ccmain/osdetect.h

    #from ccstruct/makefile.am
    src/ccstruct/publictypes.h

    #from ccutil/makefile.am
    src/ccutil/basedir.h
    src/ccutil/errcode.h
    src/ccutil/fileerr.h
    src/ccutil/genericvector.h
    src/ccutil/helpers.h
    src/ccutil/host.h
    src/ccutil/memry.h
    src/ccutil/ndminx.h
    src/ccutil/params.h
    src/ccutil/ocrclass.h
    src/ccutil/platform.h
    src/ccutil/serialis.h
    src/ccutil/strngs.h
    src/ccutil/tesscallback.h
    src/ccutil/unichar.h
    src/ccutil/unicharcompress.h
    src/ccutil/unicharmap.h
    src/ccutil/unicharset.h

## tesseract 4.00~git2439-c3ed6f03

=== debian/changelog ===
tesseract (4.00~git2439-c3ed6f03-1~bpo9+1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 17 Feb 2019 12:23:22 -0800

tesseract (4.00~git2439-c3ed6f03-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Include version in tesseract-ocr-eng build-dep (see #898971)

 -- Paul Wise <pabs@debian.org>  Fri, 18 May 2018 12:06:16 +0800

tesseract (4.00~git2439-c3ed6f03-1) unstable; urgency=medium

  * Compile
  * Bump Standards-Version to 4.1.4
  * set "Multi-Arch: same" to binary packages libtesseract-dev,
    libtesseract4
  * fix patch - fix-up-headers, helptext, shebang.diff
  * fix libtesseract-dev.install
  * set executable flag on sh files
  * added simple test
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: c3ed6f036064e54e34f75275f66c70dd924527bf
  * Date: 1525362324
  * git changelog:
  *  c3ed6f03 - Merge pull request #1556 from noahmetzger/winfix
  *  2193f817 - Fixed CID 1164537 (possible division by zero)
  *  2645f72c - Merge pull request #1555 from stweil/msvc
  *  c9b585cf - Don't disable compiler warnings for Visual Studio
  *  fd5c93e6 - Merge pull request #1554 from stweil/msvc
  *  f54800f1 - Add /utf-8 for MSVC
  *  9ae97508 - Merge pull request #1551 from stweil/bigendian
  *  f53290ac - Merge pull request #1552 from stweil/override
  *  dc3d28cc - Use more override specifiers
  *  21d5ce57 - Fix issue with big endian handling
  *  9c1fe092 - Add assertion to detect wrong endianness handling
  *  bf9b72c6 - Merge pull request #1546 from noahmetzger/winfix
  *  a7d1402e - Fixed access to uninitialized variable
  *  984a9817 - Merge pull request #1540 from stweil/strings
  *  0efc5286 - Remove unneeded include statements for string /
    strings.h
  *  de78ef87 - Merge pull request #1539 from stweil/msvc
  *  950469e6 - Remove old hack for Visual Studio
  *  45bb9427 - Merge pull request #1534 from UniQP/override
  *  938bba3d - Add missing file.
  *  4ac3063c - Add missing override specifiers
  *  37d2088d - Merge pull request #1533 from stweil/cov
  *  fbeb55cd - Fix CID 1164526 (Resource leak in object)
  *  b87fc523 - Fix CID 1386084 (Uninitialized scalar variable)
  *  e2135de0 - Fix CID 1385633 (Dereference before null check)
  *  af72ad77 - Merge pull request #1531 from stweil/cov
  *  62df5ae6 - java: Fix CID 1386112 (Resource leak)
  *  63d57099 - java: Make SVWindow more robust (fix three CID issues)
  *  64e2efff - java: Remove unused field (fix CID 1386094 UrF: Unread
    field)
  *  3c269c9a - Merge pull request #1529 from stweil/fix
  *  a2a12a44 - Fix unittest for autotools configuration after source
    tree reorganisation
  *  4f9493c4 - Partial fix for autotools configuration after source
    tree reorganisation
  *  d15558b9 - Merge pull request #1528 from stweil/crlf
  *  dabf3c29 - Fix file endings
  *  8139ad9f - Merge pull request #1526 from stweil/crlf
  *  9ceb0c64 - Fix line endings
  *  104fe793 - Move training to src.
  *  ca5c15e6 - Set correct rc name.
  *  cfe15b9d - Remove wrong src dir from configure.
  *  8ae22b9e - Remove wrong src dir from configure.
  *  e95ff115 - Move sources into src dir. Update build scripts.
  *  e8fceb58 - Merge pull request #1523 from stweil/test
  *  95f39142 - Fix unittest (missing include path)
  *  79ab597b - Merge pull request #1522 from ic/master
  *  4ded0d06 - Revert failed attempt to support MacPort's g++
  *  b6c6cd7a - Merge pull request #1521 from stweil/coverity
  *  3b69c2bc - Fix CID 1164613 (Uninitialized pointer field)
  *  d5fb4041 - Merge pull request #1519 from stweil/winfix
  *  d5226551 - Merge pull request #1518 from amitdo/subdir-objects
  *  17f29d00 - Fix linker regression for Visual Studio
  *  c0f9699e - Merge pull request #1514 from stweil/cid
  *  acbd333c - Merge pull request #1516 from ic/master
  *  0774069d - Merge pull request #1517 from stweil/ignore
  *  c3e6083e - Remove 'AUTOMAKE_OPTIONS' from all Makefile.am files
  *  4df706e7 - Update .gitignore
  *  54b048fa - Fix wrong environment test that breaks clang++ builds.
  *  68450d86 - Fix CID 1164709 (Copy into fixed size buffer)
  *  cb77067f - Fix CID 1164710 (Copy into fixed size buffer)
  *  d3f6382b - Merge pull request #1512 from stweil/cube
  *  763b7841 - Merge pull request #1511 from stweil/nullcheck
  *  e07414f4 - training: Remove some cube relicts
  *  1b2677a2 - Remove nullptr checks before destructor
  *  e2ab6997 - Merge pull request #1506 from stweil/version
  *  577f6f76 - Merge pull request #1507 from stweil/nullptr
  *  d67df9ee - Merge pull request #1510 from Shreeshrii/Shreeshrii-
    tesstrain-msg
  *  86275c21 - Clarify message to indicate additional LSTM training
    required for 4.0.0
  *  0f3d33f6 - Change max_pages to zero
  *  58d95930 - wordrec: Replace NULL by nullptr
  *  8374e373 - vs2010: Replace NULL by nullptr
  *  f785d5c0 - viewer: Replace NULL by nullptr
  *  39cfbd04 - unittest: Replace NULL by nullptr
  *  5eca9143 - training: Replace NULL by nullptr
  *  222f5b9d - textord: Replace NULL by nullptr
  *  6e2750ce - lstm: Replace NULL by nullptr
  *  16e00b59 - dict: Replace NULL by nullptr
  *  800b290d - cutil: Replace NULL by nullptr
  *  72ac460f - classify: Replace NULL by nullptr
  *  57755a27 - ccutil: Replace NULL by nullptr
  *  e74d9976 - ccstruct: Replace NULL by nullptr
  *  5b4ce243 - ccmain: Replace NULL by nullptr
  *  17e01ee9 - api: Replace NULL by nullptr
  *  3b3216e8 - Support version names starting with non numeric
    characters
  *  6d311cc9 - Merge pull request #1504 from stweil/readme
  *  8dd56a79 - Merge pull request #1505 from stweil/winfix
  *  701bac90 - Fix tessdata prefix from executable path for Windows
  *  e8946f9e - Separate build status badges from other status badges
  *  4f56abba - Merge pull request #1501 from stweil/cmdline
  *  d68ab9f1 - training: Support new command line option -v (short form
    for --version)


=== debian/control ===
Source: tesseract
Section: graphics
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 9), libleptonica-dev (>= 1.72~),
               automake, libtool, libpango1.0-dev, libcairo2-dev, libicu-dev,
               libpng-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, git, autoconf-archive, asciidoc,
               xsltproc, docbook-xsl, docbook-xml, tesseract-ocr-eng (>= 4.00~)
Standards-Version: 4.1.4
Homepage: https://github.com/tesseract-ocr/
Vcs-Git: https://github.com/AlexanderP/tesseract-debian.git
Vcs-Browser: https://github.com/AlexanderP/tesseract-debian

Package: tesseract-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 tesseract-ocr-eng (>= 4.00~), tesseract-ocr-osd (>= 4.00~), libtesseract4 (>= 4.00~)
Replaces: tesseract-ocr-data
Description: Tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the command line tool.

Package: libtesseract-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtesseract4 (= ${binary:Version}), ${misc:Depends}, libleptonica-dev
Replaces: tesseract-ocr-dev (<< 3.0.1-1~)
Breaks: tesseract-ocr-dev (<< 3.0.1-1~)
Description: Development files for the tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the development files, static
 library, and header files.

Package: libtesseract4
Section: libs
Multi-Arch: same
Breaks: tesseract-ocr (<< 3.01~), ocropus (<< 0.4.0~),
 tesseract-afr (<< 4.00~), tesseract-ara (<< 4.00~), tesseract-aze (<< 4.00~),
 tesseract-bel (<< 4.00~), tesseract-ben (<< 4.00~), tesseract-bul (<< 4.00~),
 tesseract-cat (<< 4.00~), tesseract-ces (<< 4.00~), tesseract-chi-sim (<< 4.00~),
 tesseract-chi-tra (<< 4.00~), tesseract-chr (<< 4.00~), tesseract-dan (<< 4.00~),
 tesseract-deu (<< 4.00~), tesseract-deu-frak (<< 4.00~), tesseract-ell (<< 4.00~),
 tesseract-eng (<< 4.00~), tesseract-enm (<< 4.00~), tesseract-epo (<< 4.00~),
 tesseract-equ (<< 4.00~), tesseract-est (<< 4.00~), tesseract-eus (<< 4.00~),
 tesseract-fin (<< 4.00~), tesseract-fra (<< 4.00~), tesseract-frk (<< 4.00~),
 tesseract-frm (<< 4.00~), tesseract-glg (<< 4.00~), tesseract-grc (<< 4.00~),
 tesseract-heb (<< 4.00~), tesseract-hin (<< 4.00~), tesseract-hrv (<< 4.00~),
 tesseract-hun (<< 4.00~), tesseract-ind (<< 4.00~), tesseract-isl (<< 4.00~),
 tesseract-ita (<< 4.00~), tesseract-ita-old (<< 4.00~), tesseract-jpn (<< 4.00~),
 tesseract-kan (<< 4.00~), tesseract-kor (<< 4.00~),  tesseract-lav (<< 4.00~),
 tesseract-lit (<< 4.00~), tesseract-mal (<< 4.00~), tesseract-mkd (<< 4.00~),
 tesseract-mlt (<< 4.00~), tesseract-msa (<< 4.00~), tesseract-nld (<< 4.00~),
 tesseract-nor (<< 4.00~), tesseract-ocr-amh (<< 4.00~), tesseract-ocr-asm (<< 4.00~),
 tesseract-ocr-aze-cyrl (<< 4.00~), tesseract-ocr-bod (<< 4.00~), tesseract-ocr-bos (<< 4.00~),
 tesseract-ocr-ceb (<< 4.00~), tesseract-ocr-cym (<< 4.00~), tesseract-ocr-dan-frak (<< 4.00~),
 tesseract-ocr-dzo (<< 4.00~), tesseract-ocr-fas (<< 4.00~), tesseract-ocr-gle (<< 4.00~),
 tesseract-ocr-gle-uncial (<< 4.00~), tesseract-ocr-grc (<< 4.00~), tesseract-ocr-guj (<< 4.00~),
 tesseract-ocr-hat (<< 4.00~), tesseract-ocr-iku (<< 4.00~), tesseract-ocr-jav (<< 4.00~),
 tesseract-ocr-kat (<< 4.00~), tesseract-ocr-kat-old (<< 4.00~), tesseract-ocr-kaz (<< 4.00~),
 tesseract-ocr-khm (<< 4.00~), tesseract-ocr-kir (<< 4.00~), tesseract-ocr-kur (<< 4.00~),
 tesseract-ocr-lao (<< 4.00~), tesseract-ocr-lat (<< 4.00~), tesseract-ocr-mar (<< 4.00~),
 tesseract-ocr-mya (<< 4.00~), tesseract-ocr-nep (<< 4.00~), tesseract-ocr-ori (<< 4.00~),
 tesseract-ocr-pan (<< 4.00~), tesseract-ocr-pus (<< 4.00~), tesseract-ocr-san (<< 4.00~),
 tesseract-ocr-sin (<< 4.00~), tesseract-ocr-srp-latn (<< 4.00~), tesseract-ocr-syr (<< 4.00~),
 tesseract-ocr-tgk (<< 4.00~), tesseract-ocr-tir (<< 4.00~), tesseract-ocr-uig (<< 4.00~),
 tesseract-ocr-urd (<< 4.00~), tesseract-ocr-uzb (<< 4.00~), tesseract-ocr-uzb-cyrl (<< 4.00~),
 tesseract-ocr-yid (<< 4.00~), tesseract-pol (<< 4.00~), tesseract-por (<< 4.00~),
 tesseract-ron (<< 4.00~), tesseract-rus (<< 4.00~), tesseract-slk (<< 4.00~),
 tesseract-slk-frak (<< 4.00~), tesseract-slv (<< 4.00~), tesseract-spa (<< 4.00~),
 tesseract-spa-old (<< 4.00~), tesseract-sqi (<< 4.00~), tesseract-srp (<< 4.00~),
 tesseract-swa (<< 4.00~), tesseract-swe (<< 4.00~), tesseract-tam (<< 4.00~),
 tesseract-tel (<< 4.00~), tesseract-tgl (<< 4.00~), tesseract-tha (<< 4.00~),
 tesseract-tur (<< 4.00~), tesseract-ukr (<< 4.00~), tesseract-vie (<< 4.00~)
Replaces: tesseract-ocr (<< 3.01~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tesseract OCR library
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the shared library.

Package: tesseract-ocr-all
Architecture: all
Depends: ${misc:Depends}, tesseract-ocr,
        tesseract-ocr-bul, tesseract-ocr-cat, tesseract-ocr-ces, tesseract-ocr-dan,
        tesseract-ocr-deu, tesseract-ocr-ell, tesseract-ocr-eng, tesseract-ocr-fin,
        tesseract-ocr-fra, tesseract-ocr-hun, tesseract-ocr-ind, tesseract-ocr-ita,
        tesseract-ocr-lav, tesseract-ocr-lit, tesseract-ocr-nld, tesseract-ocr-nor,
        tesseract-ocr-pol, tesseract-ocr-por, tesseract-ocr-ron, tesseract-ocr-rus,
        tesseract-ocr-slk, tesseract-ocr-slv, tesseract-ocr-spa, tesseract-ocr-srp,
        tesseract-ocr-swe, tesseract-ocr-tur, tesseract-ocr-ukr, tesseract-ocr-vie,
        tesseract-ocr-chi-sim, tesseract-ocr-chi-tra, tesseract-ocr-amh, tesseract-ocr-asm,
        tesseract-ocr-aze-cyrl, tesseract-ocr-bod, tesseract-ocr-bos, tesseract-ocr-ceb,
        tesseract-ocr-cym, tesseract-ocr-dzo, tesseract-ocr-fas, tesseract-ocr-gle,
        tesseract-ocr-guj, tesseract-ocr-hat, tesseract-ocr-iku, tesseract-ocr-jav,
        tesseract-ocr-kat, tesseract-ocr-kat-old, tesseract-ocr-kaz, tesseract-ocr-khm,
        tesseract-ocr-kir, tesseract-ocr-lao, tesseract-ocr-lat, tesseract-ocr-mar,
        tesseract-ocr-mya, tesseract-ocr-nep, tesseract-ocr-ori, tesseract-ocr-pan,
        tesseract-ocr-pus, tesseract-ocr-san, tesseract-ocr-sin, tesseract-ocr-srp-latn,
        tesseract-ocr-syr, tesseract-ocr-tgk, tesseract-ocr-tir, tesseract-ocr-uig,
        tesseract-ocr-urd, tesseract-ocr-uzb, tesseract-ocr-uzb-cyrl, tesseract-ocr-yid,
        tesseract-ocr-osd, tesseract-ocr-afr, tesseract-ocr-ara, tesseract-ocr-aze,
        tesseract-ocr-bel, tesseract-ocr-ben, tesseract-ocr-chr, tesseract-ocr-enm,
        tesseract-ocr-epo, tesseract-ocr-est, tesseract-ocr-eus, tesseract-ocr-frk,
        tesseract-ocr-frm, tesseract-ocr-glg, tesseract-ocr-heb, tesseract-ocr-hin,
        tesseract-ocr-hrv, tesseract-ocr-isl, tesseract-ocr-ita-old, tesseract-ocr-jpn,
        tesseract-ocr-kan, tesseract-ocr-kor, tesseract-ocr-mal, tesseract-ocr-mkd,
        tesseract-ocr-mlt, tesseract-ocr-msa, tesseract-ocr-spa-old, tesseract-ocr-sqi,
        tesseract-ocr-swa, tesseract-ocr-tam, tesseract-ocr-tel, tesseract-ocr-tha,
        tesseract-ocr-bre, tesseract-ocr-chi-sim-vert, tesseract-ocr-chi-tra-vert,
        tesseract-ocr-cos, tesseract-ocr-div, tesseract-ocr-fao, tesseract-ocr-fil,
        tesseract-ocr-fry, tesseract-ocr-gla, tesseract-ocr-hye, tesseract-ocr-jpn-vert,
        tesseract-ocr-kor-vert, tesseract-ocr-kur-ara, tesseract-ocr-ltz, tesseract-ocr-mon,
        tesseract-ocr-mri, tesseract-ocr-oci, tesseract-ocr-que, tesseract-ocr-snd,
        tesseract-ocr-sun, tesseract-ocr-tat, tesseract-ocr-ton, tesseract-ocr-yor,
        tesseract-ocr-script-arab, tesseract-ocr-script-armn, tesseract-ocr-script-beng,
        tesseract-ocr-script-cans, tesseract-ocr-script-cher, tesseract-ocr-script-cyrl,
        tesseract-ocr-script-deva, tesseract-ocr-script-ethi, tesseract-ocr-script-frak,
        tesseract-ocr-script-geor, tesseract-ocr-script-grek, tesseract-ocr-script-gujr,
        tesseract-ocr-script-guru, tesseract-ocr-script-hans, tesseract-ocr-script-hans-vert,
        tesseract-ocr-script-hant, tesseract-ocr-script-hant-vert, tesseract-ocr-script-hang,
        tesseract-ocr-script-hang-vert, tesseract-ocr-script-hebr, tesseract-ocr-script-jpan,
        tesseract-ocr-script-jpan-vert, tesseract-ocr-script-knda, tesseract-ocr-script-khmr,
        tesseract-ocr-script-laoo, tesseract-ocr-script-latn, tesseract-ocr-script-mlym,
        tesseract-ocr-script-mymr, tesseract-ocr-script-orya, tesseract-ocr-script-sinh,
        tesseract-ocr-script-syrc, tesseract-ocr-script-taml, tesseract-ocr-script-telu,
        tesseract-ocr-script-thaa, tesseract-ocr-script-thai, tesseract-ocr-script-tibt,
        tesseract-ocr-script-viet
Description: Tesseract OCR with all language and script packages
 This is a metapackage for Tesseract OCR and includes all supported
 languages and scripts.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += -Wall -g -fPIC -DTESSDATA_PREFIX=/usr/share/tesseract-ocr/4.00

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	make -j$(NUMJOBS)
	make -j$(NUMJOBS) training

override_dh_install:
	dh_install
	cd $(CURDIR)/debian/libtesseract-dev/usr/share/tesseract-ocr/ && chmod +x *.sh

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr training-install

override_dh_auto_test:
	./src/api/tesseract ./testing/phototest.tif - -

override_dh_auto_clean:
	dh_auto_clean
	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile

override_dh_auto_configure:
	sed "s/AM_MAINTAINER_MODE/AM_MAINTAINER_MODE([enable])/g" -i configure.ac
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-tessdata-prefix --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CFLAGS)" LDFLAGS="-llept -Wl,-z,defs $(LDFLAGS)"

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## tesseract 4.00~git2481

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
 if (WIN32)
     if (MSVC)
         add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+        add_definitions(-DNOMINMAX)
 
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP /openmp /utf-8")
     endif()
@@ -368,5 +369,3 @@
     src/ccutil/unichar.h
     src/ccutil/unicharcompress.h
     src/ccutil/unicharmap.h
-    src/ccutil/unicharset.h
-

## tesseract 4.00~git2481-555f6ffc

=== debian/changelog ===
tesseract (4.00~git2481-555f6ffc-1) unstable; urgency=medium

  * Compile
  * Added version in tesseract-ocr-eng build-dep (closes: #898971)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 555f6ffc0191fdd481e792be5afacc5644012bb9
  * Date: 1526933494
  * git changelog:
  *  555f6ffc - Merge pull request #1593 from stweil/fix
  *  cdf035d9 - Fix compilation with g++-5
  *  0a93ad2a - Merge pull request #1590 from mduk/patch-1
  *  b4b33dda - Update README.md
  *  e9197f30 - Merge pull request #1589 from stweil/fix
  *  fedae914 - ColPartition: Add missing initialisation for
    median_left, median_right
  *  7c8ab184 - Merge pull request #1587 from stweil/clean
  *  c749d461 - Update build rules for Android
  *  bb34351f - Remove remaining deprecated "register" keyword
  *  a80a8f17 - Merge pull request #1585 from ZaMaZaN4iK/small_fixes
  *  6e568b02 - Merge remote-tracking branch 'my_repo/small_fixes' into
    small_fixes
  *  6049225d - Merge remote-tracking branch 'my_repo/small_fixes' into
    small_fixes
  *  3ce2cab7 - Merge remote-tracking branch 'my_repo/small_fixes' into
    small_fixes
  *  d54d7486 - Use std::max/std::min instead of MAX/MIN macros.
  *  14ae0b87 - Use std::max/std::min instead of MAX/MIN macros.
  *  c34e145b - Use numeric_limits instead of INT_MAX.
  *  7d08e117 - Added more const.
  *  e7e8e201 - Remove deprecated in C++11 'register' keyword (removed
    since C++17).
  *  a50b966a - Added more const and one small fix.
  *  0697235b - Use using instead of typedef. Reason:
    https://github.com/isocpp/CppCoreGuidelines/blob/master/CppCoreGuide
    lines.md#Rt-using
  *  0248c7ff - Rename all C-style headers (e.g. <stdio.h>) to C++ style
    (<cstdio>).
  *  96f8f853 - Small enhancements (adding const, etc.)
  *  6f4e1954 - Merge pull request #1581 from Shreeshrii/patch-1
  *  a9c12334 - Merge pull request #1584 from RNCTX/master
  *  663b4d2d - Update Makefile.am
  *  684e8756 - Update Makefile.am
  *  1b8ab8e4 - Merge pull request #1583 from stweil/warn
  *  c8f8f636 - TabFind: Change order of initialization code
  *  6436a696 - BLOCK: Change order of initialization code
  *  6c08ec02 - Copy .box and .tif files along with .lstmf files from
    /tmp
  *  45a65463 - Merge pull request #1569 from noahmetzger/winfix
  *  43d47f35 - Added downward compatibility for older APIs
  *  8a7f3a9c - Merge pull request #1568 from amitdo/authors
  *  af1af22f - Update AUTHORS
  *  d0570502 - Merge pull request #1567 from stweil/utf8
  *  932a108b - Revert "fixes #388 by using raw bytes utf8 encoding"
  *  2236caec - Merge pull request #1563 from Shreeshrii/Shreeshrii-
    unittest-logging
  *  07a6e641 - remove non-essential logging function
  *  8e2344a4 - Merge pull request #1561 from stweil/cid
  *  7cf7d629 - Fix CID 1390821 (Uninitialized variable)
  *  7dea6717 - Merge pull request #1557 from stweil/cid
  *  11609f95 - Fix CID 1386109 (Logically dead code)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 22 May 2018 07:30:43 +0300

tesseract (4.00~git2439-c3ed6f03-2) unstable; urgency=medium

  * Added dependency on tesseract-ocr-grc
  * Added dependency on tesseract-ocr-kmr
  * Remove dependency on tesseract-ocr-kur-ara.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 07 May 2018 20:42:17 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tesseract
 Section: graphics
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
+Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
 Build-Depends: debhelper (>= 9), libleptonica-dev (>= 1.72~),
                automake, libtool, libpango1.0-dev, libcairo2-dev, libicu-dev,
                libpng-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, git, autoconf-archive, asciidoc,
@@ -117,7 +116,7 @@
         tesseract-ocr-bre, tesseract-ocr-chi-sim-vert, tesseract-ocr-chi-tra-vert,
         tesseract-ocr-cos, tesseract-ocr-div, tesseract-ocr-fao, tesseract-ocr-fil,
         tesseract-ocr-fry, tesseract-ocr-gla, tesseract-ocr-hye, tesseract-ocr-jpn-vert,
-        tesseract-ocr-kor-vert, tesseract-ocr-kur-ara, tesseract-ocr-ltz, tesseract-ocr-mon,
+        tesseract-ocr-kor-vert, tesseract-ocr-kmr, tesseract-ocr-ltz, tesseract-ocr-mon,
         tesseract-ocr-mri, tesseract-ocr-oci, tesseract-ocr-que, tesseract-ocr-snd,
         tesseract-ocr-sun, tesseract-ocr-tat, tesseract-ocr-ton, tesseract-ocr-yor,
         tesseract-ocr-script-arab, tesseract-ocr-script-armn, tesseract-ocr-script-beng,
@@ -132,7 +131,7 @@
         tesseract-ocr-script-mymr, tesseract-ocr-script-orya, tesseract-ocr-script-sinh,
         tesseract-ocr-script-syrc, tesseract-ocr-script-taml, tesseract-ocr-script-telu,
         tesseract-ocr-script-thaa, tesseract-ocr-script-thai, tesseract-ocr-script-tibt,
-        tesseract-ocr-script-viet
+        tesseract-ocr-script-viet, tesseract-ocr-grc
 Description: Tesseract OCR with all language and script packages
  This is a metapackage for Tesseract OCR and includes all supported
  languages and scripts.

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr training-install
 
 override_dh_auto_test:
+	./src/api/tesseract -v
 	./src/api/tesseract ./testing/phototest.tif - -
 
 override_dh_auto_clean:
@@ -41,7 +42,3 @@
 	sed "s/AM_MAINTAINER_MODE/AM_MAINTAINER_MODE([enable])/g" -i configure.ac
 	./autogen.sh
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-tessdata-prefix --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CFLAGS)" LDFLAGS="-llept -Wl,-z,defs $(LDFLAGS)"
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-

## tesseract 4.00~git2844

=== CMakeLists.txt ===
--- 
+++ 
@@ -358,8 +358,6 @@
     src/ccutil/genericvector.h
     src/ccutil/helpers.h
     src/ccutil/host.h
-    src/ccutil/memry.h
-    src/ccutil/ndminx.h
     src/ccutil/params.h
     src/ccutil/ocrclass.h
     src/ccutil/platform.h
@@ -369,3 +367,6 @@
     src/ccutil/unichar.h
     src/ccutil/unicharcompress.h
     src/ccutil/unicharmap.h
+    src/ccutil/unicharset.h
+
+    #from lstm/makefile.am

## tesseract 4.00~git2844-607e8fd8

=== debian/changelog ===
tesseract (4.00~git2844-607e8fd8-2) unstable; urgency=medium

  * Compile
  * fix patch - man.diff, helptext
  * fixed build with dpkg-buildpackage -A (closes: #901750)
  * fixed path to phototest.tif
  * Update dependencie for tesseract-ocr, libtesseract4 - add
    "liblept5 >= 1.75.3"(closes: #903606)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 607e8fd85c675d2348b80703665455a6fab1aeac
  * Date: 1532170875
  * git changelog:
  *  132c540c - Increase limit for deserialization of large arrays
  *  b15624eb - Fix regression (shared libraries no longer supported)
  *  f577e292 - Increase limit and add assertions for deserialization of
    large arrays
  *  ca25d885 - Add missing execute permission for script files
  *  58208522 - configure: Clean code for --enable-visibility
  *  a07025c9 - configure: Clean code for --enable-opencl
  *  0ad6e3e7 - configure: Clean code for --enable-legacy
  *  e47a9272 - configure: Clean code for --enable-graphics
  *  cfc5ef65 - configure: Clean code for --enable-embedded
  *  11cafd76 - configure: Clean code for --enable-debug
  *  11d9d8e5 - configure: Remove macro AC_SYS_INTERPRETER
  *  0a4edf61 - configure: Remove large file support
  *  4bbebd3f - Remove tests for function getline
  *  3a7f5e4d - Merge pull request #1786 from stweil/serialize
  *  b7b8dba5 - LSTMTrainer: Use new serialization API
  *  1dcda1aa - LSTMRecognizer: Use new serialization API
  *  45a7ccf2 - LSTM: Use new serialization API
  *  f4449ba4 - Convolve: Use new serialization API
  *  dfc3e969 - SquishedDawg: Use new serialization API
  *  6cf50896 - UnicharAndFonts, Shape: Use new serialization API
  *  07b363fe - MasterTrainer: Use new serialization API
  *  88b3d940 - TessdataManager: Use new serialization API
  *  da0217fa - STRING: Use new serialization API
  *  5e05f2cb - IndexMap: Use new serialization API and optimize code
  *  edff1d18 - BitVector: Use new serialization API
  *  bb6c0123 - ICOORD: Use new serialization API
  *  66bc012d - UNICHARSET: Use new serialization API
  *  eb90068b - RecodedCharID: Use new serialization API
  *  0ca7cdd2 - WordFeature, ImageData: Use new serialization API
  *  7133a6f4 - GENERIC_2D_ARRAY: Use new serialization API
  *  ea660f83 - fontinfo: Use new serialization API and optimize code
  *  6ef267c4 - Use TFile::Serialize, TFile::DeSerialize
  *  c383b1aa - TFile: Add helper functions for serialization of simple
    data types
  *  bdd2a7ae - Use tesseract::Serialize, tesseract::DeSerialize
  *  16832f98 - Add helper functions for serialization of simple data
    types
  *  216c2b31 - Fix typo and add TODO comment
  *  2b6a356c - IntFeatureSpace: Remove unused DeSerialize method
  *  f47daace - Update appveyor.yml
  *  14d8c74e - Update appveyor.yml
  *  d330eeae - Update appveyor.yml
  *  9eed164a - Update appveyor.yml
  *  9ff65386 - Update appveyor.yml
  *  cfd72ff3 - Fix --print-parameters (regression)
  *  88ebfea4 - opencl: Fix crash and clean code a bit
  *  0d497593 - Replace tprintf_internal by tprintf and clean tprintf
    code
  *  24bf8c33 - Add include statements (needed for following commit)
  *  8bd95673 - Fix some comments
  *  44415a70 - Remove unused EXTERN macros
  *  7e80a850 - Remove unused macros
  *  609edd46 - Add missing include statement
  *  55f0ca58 - Add missing include statements and clean some include
    statements
  *  cdc7db70 - unlvtests: Fix typo in documentation (found by
    codespell)
  *  0eb239ee - Fix typo in comments
  *  001f536c - Fixed "Invalid F spec" error while building
    FullyConnected layer.
  *  18edac40 - Fix CID 1164623 (Uninitialized scalar field)
  *  66b71e6b - Fix CID 1164621 (Uninitialized scalar field)
  *  8582ee09 - Fix CID 1164618 (Uninitialized scalar field)
  *  37f82824 - Fix CID 1164616 (Uninitialized scalar field)
  *  430dc5c0 - Fix CID 1164612 (Uninitialized scalar field)
  *  19a99450 - Fix CID 1164611 (Uninitialized scalar field)
  *  4bb41b89 - Fix CID 1164693 (Untrusted value as argument)
  *  992031e8 - Fix CID 1164702 (Untrusted value as argument)
  *  c1da5fba - Fix CID 1164704 (Untrusted value as argument)
  *  8871f4d6 - Fix CID 1164686 (Use of untrusted scalar value)
  *  92e2ad04 - Fix CID 1164703 (Untrusted value as argument)
  *  bfe2a795 - Fix CID 1164566 (Dereference after null check)
  *  036c72ca - Fix CID 1164733 (Resource leak)
  *  8d60a184 - Remove unused iterator
  *  d2febafd - Fix compiler warnings [-Wmissing-prototypes]
  *  8ad7f049 - Fix empty statements
  *  ffb50193 - Fix prototype for API function
    TessBaseGetBlockTextOrientations
  *  790b410f - Remove unused API function TessBaseAPIDetectOS
  *  f107f116 - Fix compiler warnings [-Wconditional-uninitialized]
  *  a74d467e - Fix compiler warnings [-Wcomma]
  *  296a836f - Fix compiler warnings [-Wunused-const-variable]
  *  787bde56 - Fix syntax errors introduced by last commit (regression)
  *  d960a50c - Fix compiler warning [-Wshadow-field-in-constructor]
  *  c1be1024 - Fix compiler warning [-Wtautological-undefined-compare]
  *  52d392da - Fix compiler warning [-Wunused-function]
  *  6cc35646 - Fix compiler warning [-Wunreachable-code-break]
  *  bdf09f40 - Fix compiler warnings [-Wzero-as-null-pointer-constant]
  *  60fcff5e - Fix build with legacy engine disabled (part 2)
  *  081793ff - Fix build with legacy engine disabled
  *  c8b5a29c - Remove unneeded type casts
  *  62c7b796 - Merge branch 'master' into disable-legacy
  *  15fb491b - Add missing #ifdef in tesseractmain.cpp
  *  134779f7 - Fix duplicate #ifndef in blobclass.cpp
  *  aa9f4b48 - Add an option to compile tesseract without the code of
    the legacy OCR engine
  *  6d170a15 - Replace tabs by blanks in source code
  *  c9efe5f5 - Merge pull request #1737 from stweil/nwmain
  *  626a229c - Remove nwmain.h
  *  f8684cb0 - Fix syntax error (regression)
  *  bb7bb1f0 - Remove old comments for exceptions
  *  889f7eaa - Remove blckerr.h


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
-Build-Depends: debhelper (>= 9), libleptonica-dev (>= 1.72~),
+Build-Depends: debhelper (>= 9), libleptonica-dev (>= 1.75.3),
                automake, libtool, libpango1.0-dev, libcairo2-dev, libicu-dev,
                libpng-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, git, autoconf-archive, asciidoc,
                xsltproc, docbook-xsl, docbook-xml, tesseract-ocr-eng (>= 4.00~)
@@ -14,7 +14,7 @@
 Package: tesseract-ocr
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- tesseract-ocr-eng (>= 4.00~), tesseract-ocr-osd (>= 4.00~), libtesseract4 (>= 4.00~)
+ tesseract-ocr-eng (>= 4.00~), tesseract-ocr-osd (>= 4.00~), libtesseract4 (>= 4.00~), liblept5 (>= 1.75.3)
 Replaces: tesseract-ocr-data
 Description: Tesseract command line OCR tool
  Tesseract is an open source Optical Character Recognition (OCR)
@@ -78,7 +78,7 @@
  tesseract-tur (<< 4.00~), tesseract-ukr (<< 4.00~), tesseract-vie (<< 4.00~)
 Replaces: tesseract-ocr (<< 3.01~)
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, liblept5 (>= 1.75.3)
 Description: Tesseract OCR library
  Tesseract is an open source Optical Character Recognition (OCR)
  Engine. It can be used directly, or (for programmers) using an API to

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,8 @@
 	make -j$(NUMJOBS) training
 
 override_dh_install:
+	cd $(CURDIR)/src/training/ && chmod +x *.sh
 	dh_install
-	cd $(CURDIR)/debian/libtesseract-dev/usr/share/tesseract-ocr/ && chmod +x *.sh
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install
@@ -32,13 +32,12 @@
 
 override_dh_auto_test:
 	./src/api/tesseract -v
-	./src/api/tesseract ./testing/phototest.tif - -
+	./src/api/tesseract ./test/testing/phototest.tif -
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile
 
 override_dh_auto_configure:
-	sed "s/AM_MAINTAINER_MODE/AM_MAINTAINER_MODE([enable])/g" -i configure.ac
 	./autogen.sh
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-tessdata-prefix --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CFLAGS)" LDFLAGS="-llept -Wl,-z,defs $(LDFLAGS)"
